// src/components/Button/index.tsx
import React from "react";
import MaterialButton from "@mui/material/Button";
var Button = (props) => {
  return /* @__PURE__ */ React.createElement(
    MaterialButton,
    {
      disabled: props.disabled,
      disableElevation: props.disableElevation,
      variant: props.varient,
      key: props.key
    },
    props.label
  );
};

// src/components/ButtonGroup/index.tsx
import React2 from "react";
import MaterialButtonGroup from "@mui/material/ButtonGroup";
var ButtonGroup = (props) => {
  return /* @__PURE__ */ React2.createElement(MaterialButtonGroup, { key: props.key }, props.children);
};

// src/components/Checkbox/index.tsx
import React3 from "react";
import MaterialCheckboxfrom from "@mui/material/Checkbox";
var Checkbox = (props) => {
  return /* @__PURE__ */ React3.createElement(MaterialCheckboxfrom, { ...props, defaultChecked: true });
};

// src/components/Avatar/index.tsx
import React4 from "react";
import AvatarMUI from "@mui/material/Avatar";
var Avatar = (props) => {
  return /* @__PURE__ */ React4.createElement(
    AvatarMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/AvatarGroup/index.tsx
import React5 from "react";
import { AvatarGroup as AvatarGroupMUI } from "@mui/material";
var AvatarGroup = (props) => {
  return /* @__PURE__ */ React5.createElement(
    AvatarGroupMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Badge/index.tsx
import React6 from "react";
import { Badge as MUIBadge } from "@mui/material";
var Badge = (props) => {
  return /* @__PURE__ */ React6.createElement(
    MUIBadge,
    {
      ...props
    },
    props.children
  );
};

// src/components/Menu/index.tsx
import React7 from "react";
import { Menu as MenuMUI } from "@mui/material";
var Menu = (props) => {
  return /* @__PURE__ */ React7.createElement(
    MenuMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/MenuItem/index.tsx
import React8 from "react";
import { MenuItem as MenuItemMUI } from "@mui/material";
var MenuItem = (props) => {
  return /* @__PURE__ */ React8.createElement(
    MenuItemMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/MenuList/index.tsx
import React9 from "react";
import { MenuList as MenuListMUI } from "@mui/material";
var MenuList = (props) => {
  return /* @__PURE__ */ React9.createElement(
    MenuListMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/List/index.tsx
import React10 from "react";
import ListMUI from "@mui/material/List";
var List = (props) => {
  return /* @__PURE__ */ React10.createElement(
    ListMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/ListItem/index.tsx
import React11 from "react";
import { ListItem as ListItemMUI } from "@mui/material";
var ListItem = (props) => {
  return /* @__PURE__ */ React11.createElement(
    ListItemMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/ListItemIcon/index.tsx
import React12 from "react";
import { ListItemIcon as ListItemIconMUI } from "@mui/material";
var ListItemIcon = (props) => {
  return /* @__PURE__ */ React12.createElement(
    ListItemIconMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/ListItemAvatar/index.tsx
import React13 from "react";
import { ListItemAvatar as ListItemAvatarMUI } from "@mui/material";
var ListItemAvatar = (props) => {
  return /* @__PURE__ */ React13.createElement(
    ListItemAvatarMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/ListItemButton/index.tsx
import React14 from "react";
import { ListItemButton as ListItemButtonMUI } from "@mui/material";
var ListItemButton = (props) => {
  return /* @__PURE__ */ React14.createElement(
    ListItemButtonMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/ListItemSecondaryAction/index.tsx
import React15 from "react";
import { ListItemSecondaryAction as ListItemSecondaryActionMUI } from "@mui/material";
var ListItemSecondaryAction = (props) => {
  return /* @__PURE__ */ React15.createElement(
    ListItemSecondaryActionMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/ListItemText/index.tsx
import React16 from "react";
import { ListItemText as ListItemTextMUI } from "@mui/material";
var ListItemText = (props) => {
  return /* @__PURE__ */ React16.createElement(
    ListItemTextMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/ListSubheader/index.tsx
import React17 from "react";
import { ListSubheader as ListSubheaderMUI } from "@mui/material";
var ListSubheader = (props) => {
  return /* @__PURE__ */ React17.createElement(
    ListSubheaderMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Divider/index.tsx
import React18 from "react";
import DividerMUI from "@mui/material/Divider";
var Divider = (props) => {
  return /* @__PURE__ */ React18.createElement(
    DividerMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Tooltip/index.tsx
import React19 from "react";
import { Tooltip as TooltipMUI } from "@mui/material";
var Tooltip = (props) => {
  return /* @__PURE__ */ React19.createElement(
    TooltipMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Table/index.tsx
import React20 from "react";
import TableMUI from "@mui/material/Table";
var Table = (props) => {
  return /* @__PURE__ */ React20.createElement(
    TableMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/TableBody/index.tsx
import React21 from "react";
import TableBodyMUI from "@mui/material/TableBody";
var TableBody = (props) => {
  return /* @__PURE__ */ React21.createElement(
    TableBodyMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/TableCell/index.tsx
import React22 from "react";
import TableCellMUI from "@mui/material/TableCell";
var TableCell = (props) => {
  return /* @__PURE__ */ React22.createElement(
    TableCellMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/TableContainer/index.tsx
import React23 from "react";
import TableContainerMUI from "@mui/material/TableContainer";
var TableContainer = (props) => {
  return /* @__PURE__ */ React23.createElement(
    TableContainerMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/TableFooter/index.tsx
import React24 from "react";
import TableFooterMUI from "@mui/material/TableFooter";
var TableFooter = (props) => {
  return /* @__PURE__ */ React24.createElement(
    TableFooterMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/TableHead/index.tsx
import React25 from "react";
import TableHeadMUI from "@mui/material/TableHead";
var TableHead = (props) => {
  return /* @__PURE__ */ React25.createElement(
    TableHeadMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/TableRow/index.tsx
import React26 from "react";
import { TableRow as TableRowMUI } from "@mui/material";
var TableRow = (props) => {
  return /* @__PURE__ */ React26.createElement(
    TableRowMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/TableSortLabel/index.tsx
import React27 from "react";
import { TableSortLabel as TableSortLabelMUI } from "@mui/material";
var TableSortLabel = (props) => {
  return /* @__PURE__ */ React27.createElement(
    TableSortLabelMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/TablePagination/index.tsx
import React28 from "react";
import TablePaginationMUI from "@mui/material/TablePagination";
var TablePagination = (props) => {
  return /* @__PURE__ */ React28.createElement(
    TablePaginationMUI,
    {
      ...props
    }
  );
};

// src/components/Grid/index.tsx
import React29 from "react";
import { Grid as GridMUI } from "@mui/material";
var Grid = (props) => {
  return /* @__PURE__ */ React29.createElement(
    GridMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Grid2/index.tsx
import React30 from "react";
import GridMUI2 from "@mui/material/Unstable_Grid2";
var Grid2 = (props) => {
  return /* @__PURE__ */ React30.createElement(
    GridMUI2,
    {
      ...props
    },
    props.children
  );
};

// src/components/Drawer/index.tsx
import React31 from "react";
import DrawerMUI from "@mui/material/Drawer";
var Drawer = (props) => {
  return /* @__PURE__ */ React31.createElement(
    DrawerMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/SwipeableDrawer/index.tsx
import React32 from "react";
import SwipeableDrawerMUI from "@mui/material/SwipeableDrawer";
var SwipeableDrawer = (props) => {
  return /* @__PURE__ */ React32.createElement(
    SwipeableDrawerMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Stepper/index.tsx
import React33 from "react";
import StepperMUI from "@mui/material/Stepper";
var Stepper = (props) => {
  return /* @__PURE__ */ React33.createElement(StepperMUI, { ...props }, props.children);
};

// src/components/Tabs/index.tsx
import React34 from "react";
import TabsMUI from "@mui/material/Tabs";
var Tabs = (props) => {
  return /* @__PURE__ */ React34.createElement(
    TabsMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Tab/index.tsx
import React35 from "react";
import TabMUI from "@mui/material/Tab";
var Tab = (props) => {
  return /* @__PURE__ */ React35.createElement(
    TabMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Step/index.tsx
import React36 from "react";
import StepMUI from "@mui/material/Step";
var Step = (props) => {
  return /* @__PURE__ */ React36.createElement(StepMUI, { ...props }, props.children);
};

// src/components/StepButton/index.tsx
import React37 from "react";
import StepButtonMUI from "@mui/material/StepButton";
var StepButton = (props) => {
  return /* @__PURE__ */ React37.createElement(StepButtonMUI, { ...props }, props.children);
};

// src/components/StepLabel/index.tsx
import React38 from "react";
import StepLabelMUI from "@mui/material/StepLabel";
var StepLabel = (props) => {
  return /* @__PURE__ */ React38.createElement(StepLabelMUI, { ...props }, props.children);
};

// src/components/StepContent/index.tsx
import React39 from "react";
import StepContentMUI from "@mui/material/StepContent";
var StepContent = (props) => {
  return /* @__PURE__ */ React39.createElement(StepContentMUI, { ...props }, props.children);
};

// src/components/Typography/index.tsx
import React40 from "react";
import TypographyMUI from "@mui/material/Typography";
var Typography = (props) => {
  return /* @__PURE__ */ React40.createElement(
    TypographyMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Accordion/index.tsx
import React41 from "react";
import AccordionMUI from "@mui/material/Accordion";
var Accordion = (props) => {
  return /* @__PURE__ */ React41.createElement(
    AccordionMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/AccordionDetails/index.tsx
import React42 from "react";
import AccordionDetailsMUI from "@mui/material/AccordionDetails";
var AccordionDetails = (props) => {
  return /* @__PURE__ */ React42.createElement(
    AccordionDetailsMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/AccordionSummary/index.tsx
import React43 from "react";
import AccordionSummaryMUI from "@mui/material/AccordionSummary";
var AccordionSummary = (props) => {
  return /* @__PURE__ */ React43.createElement(
    AccordionSummaryMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Card/index.tsx
import React44 from "react";
import CardMUI from "@mui/material/Card";
var Card = (props) => {
  return /* @__PURE__ */ React44.createElement(
    CardMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/CardActions/index.tsx
import React45 from "react";
import CardActionsMUI from "@mui/material/CardActions";
var CardActions = (props) => {
  return /* @__PURE__ */ React45.createElement(
    CardActionsMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/CardContent/index.tsx
import React46 from "react";
import CardContentMUI from "@mui/material/CardContent";
var CardContent = (props) => {
  return /* @__PURE__ */ React46.createElement(
    CardContentMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Link/index.tsx
import React47 from "react";
import LinkMUI from "@mui/material/Link";
var Link = (props) => {
  return /* @__PURE__ */ React47.createElement(
    LinkMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/AppBar/index.tsx
import React48 from "react";
import AppBarMUI from "@mui/material/AppBar";
var AppBar = (props) => {
  return /* @__PURE__ */ React48.createElement(
    AppBarMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Alert/index.tsx
import React49 from "react";
import AlertMUI from "@mui/material/Alert";
var Alert = (props) => {
  return /* @__PURE__ */ React49.createElement(
    AlertMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/AlertTitle/index.tsx
import React50 from "react";
import AlertTitleMUI from "@mui/material/AlertTitle";
var AlertTitle = (props) => {
  return /* @__PURE__ */ React50.createElement(
    AlertTitleMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Backdrop/index.tsx
import React51 from "react";
import BackdropMUI from "@mui/material/Backdrop";
var Backdrop = (props) => {
  return /* @__PURE__ */ React51.createElement(
    BackdropMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Dialog/index.tsx
import React52 from "react";
import DialogMUI from "@mui/material/Dialog";
var Dialog = (props) => {
  return /* @__PURE__ */ React52.createElement(
    DialogMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/DialogActions/index.tsx
import React53 from "react";
import DialogActionsMUI from "@mui/material/DialogActions";
var DialogActions = (props) => {
  return /* @__PURE__ */ React53.createElement(
    DialogActionsMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/DialogContent/index.tsx
import React54 from "react";
import DialogContentMUI from "@mui/material/DialogContent";
var DialogContent = (props) => {
  return /* @__PURE__ */ React54.createElement(
    DialogContentMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/DialogContentText/index.tsx
import React55 from "react";
import DialogContentTextMUI from "@mui/material/DialogContentText";
var DialogContentText = (props) => {
  return /* @__PURE__ */ React55.createElement(
    DialogContentTextMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/DialogTitle/index.tsx
import React56 from "react";
import DialogTitleMUI from "@mui/material/DialogTitle";
var DialogTitle = (props) => {
  return /* @__PURE__ */ React56.createElement(
    DialogTitleMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Chip/index.tsx
import React57 from "react";
import ChipMUI from "@mui/material/Chip";
var Chip = (props) => {
  return /* @__PURE__ */ React57.createElement(
    ChipMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Box/index.tsx
import React58 from "react";
import BoxMUI from "@mui/material/Box";
var Box = (props) => {
  return /* @__PURE__ */ React58.createElement(
    BoxMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Toolbar/index.tsx
import React59 from "react";
import ToolbarMUI from "@mui/material/Toolbar";
var Toolbar = (props) => {
  return /* @__PURE__ */ React59.createElement(
    ToolbarMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Paper/index.tsx
import React60 from "react";
import PaperMUI from "@mui/material/Paper";
var Paper = (props) => {
  return /* @__PURE__ */ React60.createElement(PaperMUI, { ...props }, props.children);
};

// src/components/FormGroup/index.tsx
import FormGroupMUI from "@mui/material/FormGroup";
import React61 from "react";
var FormGroup = (props) => {
  return /* @__PURE__ */ React61.createElement(
    FormGroupMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/FormControl/index.tsx
import React62 from "react";
import FormControlMUI from "@mui/material/FormControl";
var FormControl = (props) => {
  return /* @__PURE__ */ React62.createElement(
    FormControlMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/FormControlLabel/index.tsx
import FormControlLabelMUI from "@mui/material/FormControlLabel";
import React63 from "react";
var FormControlLabel = (props) => {
  return /* @__PURE__ */ React63.createElement(
    FormControlLabelMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/FormHelperText/index.tsx
import FormHelperTextMUI from "@mui/material/FormHelperText";
import React64 from "react";
var FormHelperText = (props) => {
  return /* @__PURE__ */ React64.createElement(
    FormHelperTextMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/FormLabel/index.tsx
import FormLabelMUI from "@mui/material/FormLabel";
import React65 from "react";
var FormLabel = (props) => {
  return /* @__PURE__ */ React65.createElement(
    FormLabelMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Slide/index.tsx
import React66 from "react";
import SlideMUI from "@mui/material/Slide";
var Slide = (props) => {
  return /* @__PURE__ */ React66.createElement(SlideMUI, { ...props }, props.children);
};

// src/components/Progress/CircularProgress/index.tsx
import React67 from "react";
import CircularProgressMUI from "@mui/material/CircularProgress";
var CircularProgress = (props) => {
  return /* @__PURE__ */ React67.createElement(
    CircularProgressMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Progress/LinearProgress/index.tsx
import React68 from "react";
import LinearProgressMUI from "@mui/material/LinearProgress";
var LinearProgress = (props) => {
  return /* @__PURE__ */ React68.createElement(
    LinearProgressMUI,
    {
      ...props
    },
    props.children
  );
};

// src/components/Stack/index.tsx
import React69 from "react";
import StackMUI from "@mui/material/Stack";
var Stack = (props) => {
  return /* @__PURE__ */ React69.createElement(StackMUI, { ...props }, props.children);
};

// src/components/Icon/index.tsx
import React70 from "react";
import * as Icons from "@mui/icons-material";
var Icon = ({
  iconName
}) => {
  const IconMUI = Icons[iconName];
  return /* @__PURE__ */ React70.createElement(IconMUI, null);
};
export {
  Accordion,
  AccordionDetails,
  AccordionSummary,
  Alert,
  AlertTitle,
  AppBar,
  Avatar,
  AvatarGroup,
  Backdrop,
  Badge,
  Box,
  Button,
  ButtonGroup,
  Card,
  CardActions,
  CardContent,
  Checkbox,
  Chip,
  CircularProgress,
  Dialog,
  DialogActions,
  DialogContent,
  DialogContentText,
  DialogTitle,
  Divider,
  Drawer,
  FormControl,
  FormControlLabel,
  FormGroup,
  FormHelperText,
  FormLabel,
  Grid,
  Grid2,
  Icon,
  LinearProgress,
  Link,
  List,
  ListItem,
  ListItemAvatar,
  ListItemButton,
  ListItemIcon,
  ListItemSecondaryAction,
  ListItemText,
  ListSubheader,
  Menu,
  MenuItem,
  MenuList,
  Paper,
  Slide,
  Stack,
  Step,
  StepButton,
  StepContent,
  StepLabel,
  Stepper,
  SwipeableDrawer,
  Tab,
  Table,
  TableBody,
  TableCell,
  TableContainer,
  TableFooter,
  TableHead,
  TablePagination,
  TableRow,
  TableSortLabel,
  Tabs,
  Toolbar,
  Tooltip,
  Typography
};
